using System;

internal sealed class Delegate377 : MulticastDelegate
{
	public extern int Invoke(double double_0);

	public static int smethod_0(double double_0, Delegate377 delegate377_1)
	{
		return delegate377_1(double_0);
	}

	public extern Delegate377(object object_0, IntPtr intptr_0);

	static Delegate377()
	{
		Class10.smethod_13(typeof(Delegate377).TypeHandle);
	}

	internal static Delegate377 delegate377_0;
}
